Subject: Ticket Assigned - Click & Collect
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Thu, 12 May 2022 05:59:14 +0000

Hi Athar Mubark,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I want to cancel my order and refund the amount. It took so long to process it. I will go and buy it from branch itself. Even description of item is not clear if for boy or girl which is not acceptable. I want to specify for boy and i contacted babyshop online for that and they cannot help.  Pls proceed with refund of paid amount from my visa card. Thanks. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4345136